#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("fs");
const index_1 = require("./index");
const utils_1 = require("./utils");
const argv = require('minimist')(process.argv.slice(2));
const args = argv._;
if (args.length !== 1) {
    console.log(argv);
    console.warn('Usage: pgsql-parser <sqlfile>');
    process.exit(1);
}
const pth = args[0].startsWith('/')
    ? args[0]
    : (0, path_1.resolve)((0, path_1.join)(process.cwd(), args[0]));
const content = (0, fs_1.readFileSync)(pth, 'utf-8');
let query;
if (argv.pl) {
    // plpgsql ONLY
    query = (0, index_1.parseFunction)(content);
}
else {
    query = (0, index_1.parse)(content);
}
process.stdout.write(JSON.stringify((0, utils_1.cleanTreeWithStmt)(query), null, 2));
